import { Observable } from 'rxjs/Rx';
import { CIOAPPApi } from './cioApp-api.service';
import 'rxjs/add/operator/map';
import { CIOApiResponse } from '../../../models/cio-api-response';
import 'rxjs/add/observable/throw';
import { Http } from '@angular/http';
export declare class AuthService {
    private _api;
    http: Http;
    private reqBody;
    constructor(_api: CIOAPPApi, http: Http);
    loginWithUserName(loginData: any): Observable<CIOApiResponse>;
    postSessions(sessionid: any): Observable<CIOApiResponse>;
    loginMetaData(): Observable<CIOApiResponse>;
    getSessions(): Observable<CIOApiResponse>;
    getCaptchaImage(): Observable<any>;
}
