import { FormGroup, FormBuilder } from '@angular/forms';
import { Storage } from '@ionic/storage';
import { AuthService } from '../../modules/core/services/auth.service';
import { NavController, LoadingController, AlertController } from 'ionic-angular';
import { NextPage } from '../../modules/core/services/nextpage';
/**
 * Generated class for the FooterComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
export declare class FooterComponent {
    private _formBuilder;
    private _authService;
    private _loadingCtrl;
    private _navCtrl;
    private _storage;
    private _alertCtrl;
    private _nextPage;
    view: any;
    loginForm: FormGroup;
    localconstants: {
        loginName: string;
        captcha: string;
        remember: string;
        password: string;
        otpPin: string;
        otpMessage: string;
        sessionsInstructions: string;
        sessionStartTime: string;
        sessionUUID: string;
        'DICT.COMMON_FIELDS.PROCEED_BUTTON': string;
        'DICT.COMMON_FIELDS.LOGIN_LOGIN': string;
        'DICT.COMMON.CANCEL': string;
        currentStep: string;
        browserFields: string;
        username: string;
        displayOtp: string;
        showcaptcha: string;
        imageURL: string;
        questions: string;
        idpURL: string;
    };
    captchaimage: any;
    private loader;
    constructor(_formBuilder: FormBuilder, _authService: AuthService, _loadingCtrl: LoadingController, _navCtrl: NavController, _storage: Storage, _alertCtrl: AlertController, _nextPage: NextPage);
    ngOnInit(): void;
    ionViewDidLoad(): void;
    setValidators(): void;
    onSubmit(): void;
    private _doLogin(loginDetails);
    getCaptcha(): void;
    openOTPModal(): void;
}
